Page MenuHomePhabricator

Personal toolbar - drop down menu issues
Closed, ResolvedPublic

Description

(1) Shortcuts in tooltips are displayed abbreviated - and those shortcuts do not work.

Previously, tooltips have the following info:

Seems like the accesskey="." is used?

(2) Hover over drop-down menu - the links become underlined with black color. The down pointed arrow is also black.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 13 2018, 1:49 AM

(1) Shortcuts in tooltips are displayed abbreviated - and those shortcuts do not work.


Previously, tooltips had the following info:

Seems like the accesskey="." is used?

Comparing testwiki and enwiki (which is still on wmf.15), I see the behavior is preserved. Dot as access key never worked (for me) on any page, other access keys work well. And the additional info (alt-shift or ctrl-option etc.) which are added by jQuery plugin called jquery.accessKeyLabel, was missing on CX before header was customized.

We should fix dot access key not working globally, and whether CX should be changed to have additional access key info is question for @Pginer-WMF.

(2) Hover over drop-down menu - the links become underlined with black color. The down pointed arrow is also black.

@Pginer-WMF wants menu options not to be underlined. See T184571#3900323.

Here are some shots illustrating my point from previous comment - Header on Main page displays additional tooltip info, whereas header on CX doesn't. This is taken from enwiki, which is on 1.31.0-wmf.15.

Tooltip on main pageTooltip on CX dashboard

Change 404683 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Restyle personal header

https://gerrit.wikimedia.org/r/404683

Petar.petkovic moved this task from Backlog to In Review on the Language-2018-Jan-Mar board.

Change 404683 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Restyle personal header

https://gerrit.wikimedia.org/r/404683

Petar.petkovic removed a project: Patch-For-Review.
Petar.petkovic removed a subscriber: gerritbot.

Checked in cx-testing https://gerrit.wikimedia.org/r/#/c/404683/ - the following is done

* Remove underline for personal menu options on hover.
* Small adjustments to personal header style:
- Reduce size of label next to the trademark to 20px.
- Reduce the size of menu handle and options.
- Increase separation between menu and notification icons.

The following issue is filed as a separate task - T185611: Personal toolbar tooltips display abbreviated shortcuts

  1. Shortcuts in tooltips are displayed abbreviated - and those shortcuts do not work.
Etonkovidova closed this task as Resolved.Jan 23 2018, 10:54 PM
Nikerabbit moved this task from QA to Done on the Language-2018-Jan-Mar board.Jan 24 2018, 5:48 PM